Subject: Re: bug#22795: 25.0.91; Can't write read only file on w32

From: "Ota, Takaaki" <[email-masked]>
Date: Wed, 1 Jun 2016 10:22:53 -0700

I still don't have a conclusion but the root cause seems to be related
to file-ownership-preserved-p that has some platform specific
implementation.  When I open a read only file on both Linux and
windows-nt, Linux returns t while windows-nt returns nil.

-Tak

Wed, 25 May 2016 19:55:45 +0300: Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 14 May 2016 12:17:03 +0300
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked]
> > 
> > > Date: Tue, 01 Mar 2016 18:27:35 +0200
> > > From: Eli Zaretskii <[email-masked]>
> > > Cc: [email-masked]
> > > 
> > > > Date: Mon, 29 Feb 2016 13:34:36 -0800
> > > > CC: <[email-masked]>
> > > > From: "Ota, Takaaki" <[email-masked]>
> > > > 
> > > > I just tried again with "run -Q" from gdb and the result is the same.
> > > > 24.5 never called sys_rename() and 25.0.91 called sys_rename() with
> > > > two same names.
> > > 
> > > What about Frename_file? does 24.5 call it in this scenario?
> > > 
> > > If it doesn't, then please look at the beginning of backup-buffer (in
> > > files.el), make sure it is called in 24.5 in this scenario, and then
> > > please tell what are the values of real-file-name and backup-info in
> > > this part at the beginning of backup-buffer:
> > > 
> > > 	(let* ((real-file-name (file-chase-links buffer-file-name))
> > > 	       (backup-info (find-backup-file-name real-file-name)))
> > > 
> > > Also, what are the values of make-backup-files, backup-inhibited, and
> > > buffer-backed-up in the buffer that visits the read-only file?
> > > 
> > > Btw, is that file under some kind of version control, per chance?
> > > 
> > > And please make sure, from now on, to test everything in "emacs -Q",
> > > to prevent any customizations from getting in the way of this
> > > investigation.
> > 
> > Ping!  Can we please continue this investigation?
> > 
> > If the problem is no longer reproducible with the latest pretest
> > 25.0.9x, or if you can no longer afford looking into this, I will most
> > probably close the bug.
> > 
> > Thanks.
> 
> Ping!
> 
> Release of Emacs 25.1 is imminent, and I'd very much like to try to
> fix this problem, whatever it is, for that release.
> 
> Thanks.
>